# Class StandardMapContributor

Namespace
  adas_core.Infrastructure.Utils.MongoMaps

Assembly
  adas-core.Infrastructure.dll

Provides a standard implementation of the IEntityMapContributor interface.

    public class StandardMapContributor : IEntityMapContributor

Inheritance
  object
  StandardMapContributor

Implements
  IEntityMapContributor

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Methods

### RegisterMaps()

Registers BSON class maps for HistoricalConfigChanges and UiFontData types used during MongoDB serialization, skipping any types that are already registered. For UiFontData, several nullable UI configuration members are configured to be ignored when null to avoid persisting default values.

    public void RegisterMaps()